cant find PIL with qgis 3.4.5 or 3.6.0 standalone
2019-03-15 12:59 PM - doon75 -

Status: Closed

Priority: Normal

Assignee:

Category: Windows Package

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 29409
Description

| download and install QGIS Standalone from: https://qgis.org/en/site/forusers/download.html

Using the standalone installer (both 3.4.5 and 3.6.0) the QGIS python console cannot find the PIL library that is installed (installed in
folder = apps/python27/Lib/site-packages).

The impact is that this prevents several of the python dependent user plugins working properly with QGIS installed via the standalone
installer. For example plugin Lecos will not load.

To reproduce: install QGIS using the standalone installer, then test whether PIL is installed and available by opening the QGIS python
console (Menu -> Plugins -> Python console) and then type

import PIL
PIL._ version__

I don’t know python but the python libraries appear to be mis-specified (1.4 when should be 3.4). See end of traceback....

Versao do Python: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)]
Versao do QGIS: 3.4.5-Madeira Madeira, 89ee6f6e23

Caminho do Python:

+ C:/PROGRA~1/QGIS3~1.4/apps/qgis-Itr/./python

+ C:/Users/Darren/AppData/Roaming/QGIS/QGIS3\profiles\default/python

+ C:/Users/Darren/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
+ C:/PROGRA~1/QGIS3~1.4/apps/qgis-Itr/./python/plugins

» C:\Program Files\QGIS 3.4\bin\python37.zip

+ C:\PROGRA~1\QGIS3~1.4\apps\Python37\DLLs

+ C:)\PROGRA~1\QGIS3~1.4\apps\Python37\lib

» C:\Program Files\QGIS 3.4\bin

+ C:)\PROGRA~1\QGIS3~1.4\apps\Python37

+ C:)\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages

+ C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\win32

+ C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\win32\lib

+ C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\Pythonwin
C:/Users/Darren/AppData/Roaming/QGIS/QGIS3\profiles\default/python

History

#1 - 2019-03-15 01:29 PM - Giovanni Manghi
- Operating System deleted (Windows 10)
- Category changed from Unknown to Windows Package

#2 - 2019-03-18 09:12 PM - Jiirgen Fischer
https://qgis.org/en/site/forusers/download.html

- Resolution set to fixed/implemented

- Status changed from Open to Closed

doon75 - wrote:

Using the standalone installer (both 3.4.5 and 3.6.0) the QGIS python console cannot find the PIL library that is installed (installed in folder =

apps/python27/Lib/site-packages).

QGIS3 used python3 - the pil in python2 is used by GRASS. A pil for python3 is neither required nor included in the standalone - but the next one will also

include python3-pillow.

I don’t know python but the python libraries appear to be mis-specified (1.4 when should be 3.4).

Nope, QGIS3~1.4 is the short path for QGIS 3.4.
